# Form implementation generated from reading ui file 'src/eric7/MicroPython/BluetoothDialogs/BluetoothStatusDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_BluetoothStatusDialog(object):
    def setupUi(self, BluetoothStatusDialog):
        BluetoothStatusDialog.setObjectName("BluetoothStatusDialog")
        BluetoothStatusDialog.resize(600, 650)
        BluetoothStatusDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(BluetoothStatusDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=BluetoothStatusDialog)
        font = QtGui.QFont()
        font.setPointSize(14)
        font.setBold(True)
        self.label.setFont(font)
        self.label.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.statusTree = QtWidgets.QTreeWidget(parent=BluetoothStatusDialog)
        self.statusTree.setRootIsDecorated(False)
        self.statusTree.setItemsExpandable(False)
        self.statusTree.setHeaderHidden(True)
        self.statusTree.setObjectName("statusTree")
        self.statusTree.headerItem().setText(0, "1")
        self.verticalLayout.addWidget(self.statusTree)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=BluetoothStatusDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(BluetoothStatusDialog)
        self.buttonBox.accepted.connect(BluetoothStatusDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(BluetoothStatusDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(BluetoothStatusDialog)

    def retranslateUi(self, BluetoothStatusDialog):
        _translate = QtCore.QCoreApplication.translate
        BluetoothStatusDialog.setWindowTitle(_translate("BluetoothStatusDialog", "Bluetooth Status"))
        self.label.setText(_translate("BluetoothStatusDialog", "Bluetooth Status"))
